.. AUTO-GENERATED FILE. DO NOT EDIT. playstore-manifest-item ======================= Source ------ - Repository: ``jef-systems/jef-playstore-backend`` - Source Run ID: ``24772629796`` - Source SHA: ``193dd0ff86c663774fac9efc2077fdcd7f171e3a`` - Module: ``playstore`` - Documentation Scope: ``get`` - Lambda: ``jef-playstore-get-2`` Endpoint -------- - API Name: ``jef-playstore`` - Action Name: ``get`` - Method: ``GET`` - Scope Label: ``GET`` - Resource Path: ``/playstore-manifest-item`` - Complete Endpoint: ``https://ameomhdx6h.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifest-item`` - Lambda ARN: ``arn:aws:lambda:ap-southeast-1:246715082475:function:jef-playstore-get-2`` - curl payload mode: ``query_string`` API Gateway Description ----------------------- .. code-block:: text Function: jef-playstore-get-2 API Name: jef-playstore Action: get Method: GET Resource Path: /playstore-manifest-item Payload: - package_name: string-required Response: - exists: boolean - message: string - item: {"pk":"string","gsi_1_pk":"string","gsi_1_sk":"string","name":"string","slug":"string","version":"string","package_name":"string","scheme":"string","icon":"string","updated_at":"string-iso8601","updated_at_humanized":"string","idempotency_key":"string-uuidv4"} - source: string Request Payload --------------- .. code-block:: json { "package_name": "string-required" } Response -------- .. code-block:: json { "exists": "boolean", "message": "string", "item": "{\"pk\":\"string\",\"gsi_1_pk\":\"string\",\"gsi_1_sk\":\"string\",\"name\":\"string\",\"slug\":\"string\",\"version\":\"string\",\"package_name\":\"string\",\"scheme\":\"string\",\"icon\":\"string\",\"updated_at\":\"string-iso8601\",\"updated_at_humanized\":\"string\",\"idempotency_key\":\"string-uuidv4\"}", "source": "string" } CMD curl -------- .. code-block:: text curl "https://ameomhdx6h.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifest-item?package_name=string-required" PowerShell curl --------------- .. code-block:: text curl.exe "https://ameomhdx6h.execute-api.ap-southeast-1.amazonaws.com/prod/playstore-manifest-item?package_name=string-required"